Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.registry
Class RegistryFactory

    java.lang.Object
      org.jboss.soa.esb.services.registry.RegistryFactory

    public class RegistryFactory

extends java.lang.Object

Returns an Instance of the Registry.

Author:
  kstam

Constructor Summary
`RegistryFactory()`

Method Summary
`static Registry` | `createRegistry()` Create a new registry (singleton) or return a pre-existing instance.
`static Registry` | `getRegistry()` Obtain the current registry singleton or create a new instance if one is not available.
`static Registry` | `getRegistrySingleton()` Get the singleton.
`static void` | `setRegistry(Registry registry)` Set the singleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryFactory

    public RegistryFactory()

Method Detail

### setRegistry

    public static void setRegistry(Registry registry)

  Set the singleton. Any existing instance will be overwritten.

  Parameters:
    `registry` -

### getRegistrySingleton

    public static Registry getRegistrySingleton()

  Get the singleton.

  Returns:
    the singleton or `null` if one has not been created.

### getRegistry

    public static Registry getRegistry()
                                throws RegistryException

  Obtain the current registry singleton or create a new instance if one is not available. This will assign the singleton as well.

  Returns:
    the singleton
  Throws:
    `RegistryException`

### createRegistry

    public static Registry createRegistry()
                                   throws RegistryException

  Create a new registry (singleton) or return a pre-existing instance.

  Returns:
    the registry singleton
  Throws:
    `RegistryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD